Page MenuHomePhabricator

Create FY1617 annual personal goals (for RelEng team members)
Closed, ResolvedPublic

Description

Due 7/1.

To be discussed during 1:1s with Greg.

Will also have a quarterly personal goals segment (much more light-weight) which will help the overall effectiveness.

??? Where will they live?


  • Chad
  • Dan
  • Greg
  • Mukunda
  • Tyler

Event Timeline

greg created this task.May 5 2016, 6:29 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 5 2016, 6:29 PM
greg updated the task description. (Show Details)May 5 2016, 6:32 PM
greg updated the task description. (Show Details)Jun 6 2016, 4:23 PM
greg moved this task from Next to In Progress on the User-greg board.
greg closed this task as Resolved.Jul 1 2016, 10:09 PM
greg claimed this task.

Annual goals done (but always a work in progress, in my opinion, especially given that we want to identify actionable parts of them per quarter).

greg moved this task from In Progress to Done on the User-greg board.Jul 1 2016, 10:10 PM